Subject: Re: [net-next (TAKE 2) 0/4] IPv6 over Firewire

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Sun, 10 Feb 2013 19:48:53 +0900

Stephan Gatzka wrote:

> Were you able to test your changes against different IP over firewire
> implementations? If not, I will test against the existing Linux
> implementation, MacOSX and Windows.

I have tested against MacOS X 10.5.8.

ARP and ping works but unfortunately NDP does not seem to work.

If I assign static NDP entry on Linux, ping6 ff02::1%fw0 from MacOS works
well.

I checked tcpdump on both side, and I guess this is because MacOS is broken;
- tcpdump on Linux side complains that ICMP checksum is incorrect.
- tcpdump on MacOS side says that length of Link-layer address option is 2 (16)
  instead of 3 (24).

I think we should check others like FreeBSD as well.

Thanks.

--yoshfuji